uniform vec2 Resolution;

uniform sampler2D Tex;
uniform sampler2D BlurTex;
uniform sampler2D BokehTex;

uniform float Intensity;
uniform float BgIntensity;

void main()
{
	vec2 texCoord = gl_FragCoord.xy / Resolution;
	gl_FragData[0] = texture2D(Tex, texCoord) * BgIntensity + texture2D(BlurTex, texCoord) * texture2D(BokehTex, texCoord) * Intensity;
}